gi-gio-2.0.38: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.DBusMenuModel

Contents

- Exported types
- Methods
  - get

Description

`GDBusMenuModel` is an implementation of `MenuModel` that can be used as a proxy for a menu model that is exported over D-Bus with `dBusConnectionExportMenuModel`.

Synopsis

- newtype DBusMenuModel = DBusMenuModel (ManagedPtr DBusMenuModel)
- class (GObject o, IsDescendantOf DBusMenuModel o) => IsDBusMenuModel o
- toDBusMenuModel :: (MonadIO m, IsDBusMenuModel o) => o -> m DBusMenuModel
- dBusMenuModelGet :: (HasCallStack, MonadIO m, IsDBusConnection a) => a -> Maybe Text -> Text -> m DBusMenuModel

# Exported types

newtype DBusMenuModel Source #

Memory-managed wrapper type.

Constructors

DBusMenuModel (ManagedPtr DBusMenuModel) |

#### Instances

Instances details

Eq DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel Methods (==) :: DBusMenuModel -> DBusMenuModel -> Bool Source # (/=) :: DBusMenuModel -> DBusMenuModel -> Bool Source #
GObject DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel
ManagedPtrNewtype DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel Methods toManagedPtr :: DBusMenuModel -> ManagedPtr DBusMenuModel Source #
TypedObject DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel Methods glibType :: IO GType Source #
HasParentTypes DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel
IsGValue (Maybe DBusMenuModel) Source # | Convert `DBusMenuModel` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.DBusMenuModel Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DBusMenuModel -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DBusMenuModel) Source #
type ParentTypes DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel type ParentTypes DBusMenuModel = '[MenuModel, Object]

class (GObject o, IsDescendantOf DBusMenuModel o) => IsDBusMenuModel o Source #

Type class for types which can be safely cast to `DBusMenuModel`, for instance with `toDBusMenuModel`.

#### Instances

Instances details

(GObject o, IsDescendantOf DBusMenuModel o) => IsDBusMenuModel o Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel

toDBusMenuModel :: (MonadIO m, IsDBusMenuModel o) => o -> m DBusMenuModel Source #

Cast to `DBusMenuModel`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isMutable, itemsChanged, iterateItemAttributes, iterateItemLinks, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getItemAttributeValue, getItemLink, getNItems, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## get

dBusMenuModelGet Source #

Arguments

:: (HasCallStack, MonadIO m, IsDBusConnection a) |
=> a | `connection`: a `DBusConnection`
-> Maybe Text | `busName`: the bus name which exports the menu model or `Nothing` if `connection` is not a message bus connection
-> Text | `objectPath`: the object path at which the menu model is exported
-> m DBusMenuModel | Returns: a `DBusMenuModel` object. Free with `objectUnref`.

Obtains a `DBusMenuModel` for the menu model which is exported at the given `busName` and `objectPath`.

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

Since: 2.32